> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cube.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user OAuth token



## OpenAPI

````yaml /api-reference/api.yaml get /v1/user-oauth-tokens/{integrationId}
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: User Attributes
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
  - name: Dbt Sync
  - name: Env Variables
  - name: OAuth Integrations
  - name: OIDC Token Configs
  - name: Regions
  - name: Tenant Settings
  - name: User Attribute Values
  - name: User OAuth Tokens
  - name: Users Admin
paths:
  /v1/user-oauth-tokens/{integrationId}:
    get:
      tags:
        - User OAuth Tokens
      summary: Get user OAuth token
      operationId: getUserOAuthToken
      parameters:
        - in: path
          name: integrationId
          required: true
          schema:
            type: number
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserOAuthToken'
          description: ''
components:
  schemas:
    UserOAuthToken:
      properties:
        accessTokenExpiresAt:
          oneOf:
            - oneOf:
                - format: date
                  type: string
                - format: date-time
                  type: string
            - type: 'null'
        createdAt:
          oneOf:
            - format: date
              type: string
            - format: date-time
              type: string
        id:
          type: integer
        integrationId:
          type: integer
        lastError:
          oneOf:
            - {}
            - type: 'null'
        refreshTokenExpiresAt:
          oneOf:
            - oneOf:
                - format: date
                  type: string
                - format: date-time
                  type: string
            - type: 'null'
        status:
          type: string
        updatedAt:
          oneOf:
            - format: date
              type: string
            - format: date-time
              type: string
        userId:
          type: integer
      required:
        - id
        - userId
        - integrationId
        - status
        - createdAt
        - updatedAt
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````